package sensor

import (
	"log"
	"os"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/sensor"
	"github.com/spf13/cobra"
)

var quiet bool

var listSensorCmd = &cobra.Command{
	Use:     "ls",
	Short:   "List Sensors",
	Aliases: []string{"list"},
	Run: func(cmd *cobra.Command, args []string) {
		if err := sensor.Print(os.Stdout, configDir, quiet); err != nil {
			log.Fatal(err)
		}
	},
	//28-01143277168e
}

func init() {
	sensorCmd.AddCommand(listSensorCmd)

	listSensorCmd.Flags().BoolVarP(&quiet, "quiet", "q", false, "List only sensor id's")
}
